# Filename: gui_fileselector.py
# Purpose:  Create a panel showing a fileselector.
# Results:  Selection from fileselector is printed to the screen.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")
pan.fileselector(tag='fileselector_input', prompt='Fileselector', filter='*.00t', width=20)
pan.display()

file = pan['fileselector_input']
print(file)